import { ASN1Decoder, ASN1Encoder } from "../functional";
import type { OBJECT_IDENTIFIER, BIT_STRING } from "../macros";
export default interface ABSTRACT_SYNTAX<Type = any> {
    class: string;
    decoderFor: Partial<{
        [_K in keyof ABSTRACT_SYNTAX<Type>]: ASN1Decoder<ABSTRACT_SYNTAX<Type>[_K]>;
    }>;
    encoderFor: Partial<{
        [_K in keyof ABSTRACT_SYNTAX<Type>]: ASN1Encoder<ABSTRACT_SYNTAX<Type>[_K]>;
    }>;
    "&id": OBJECT_IDENTIFIER;
    "&Type": Type;
    "&property": BIT_STRING;
}
//# sourceMappingURL=ABSTRACT-SYNTAX.d.ts.map