"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const isGeneralCharacter_1 = tslib_1.__importDefault(require("../../../validators/isGeneralCharacter"));
const convertTextToBytes_1 = tslib_1.__importDefault(require("../../../utils/convertTextToBytes"));
const errors_1 = require("../../../errors");
function encodeGeneralString(value) {
    const bytes = (0, convertTextToBytes_1.default)(value);
    for (const char of bytes) {
        if (!(0, isGeneralCharacter_1.default)(char)) {
            throw new errors_1.ASN1CharactersError("GeneralString can only contain ASCII characters."
                + `Encountered character code ${char}.`);
        }
    }
    return bytes;
}
exports.default = encodeGeneralString;
//# sourceMappingURL=encodeGeneralString.js.map