"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const isVisibleCharacter_1 = tslib_1.__importDefault(require("../../../validators/isVisibleCharacter"));
const convertBytesToText_1 = tslib_1.__importDefault(require("../../../utils/convertBytesToText"));
const errors_1 = require("../../../errors");
function decodePrintableString(value) {
    for (const char of value) {
        if (!(0, isVisibleCharacter_1.default)(char)) {
            throw new errors_1.ASN1CharactersError("VisibleString can only contain characters between 0x20 and 0x7E. "
                + `Encountered character code ${char}.`);
        }
    }
    return (0, convertBytesToText_1.default)(value);
}
exports.default = decodePrintableString;
//# sourceMappingURL=decodeVisibleString.js.map