import type ASN1Element from "./asn1";
export declare class ASN1Error extends Error {
    readonly m: string;
    readonly element?: ASN1Element | undefined;
    constructor(m: string, element?: ASN1Element | undefined);
}
export declare class ASN1NotImplementedError extends ASN1Error {
    constructor();
}
export declare class ASN1RecursionError extends ASN1Error {
    constructor();
}
export declare class ASN1TruncationError extends ASN1Error {
    readonly m: string;
    readonly element?: ASN1Element | undefined;
    constructor(m: string, element?: ASN1Element | undefined);
}
export declare class ASN1OverflowError extends ASN1Error {
    readonly m: string;
    readonly element?: ASN1Element | undefined;
    constructor(m: string, element?: ASN1Element | undefined);
}
export declare class ASN1SizeError extends ASN1Error {
    readonly m: string;
    readonly element?: ASN1Element | undefined;
    constructor(m: string, element?: ASN1Element | undefined);
}
export declare class ASN1PaddingError extends ASN1Error {
    readonly m: string;
    readonly element?: ASN1Element | undefined;
    constructor(m: string, element?: ASN1Element | undefined);
}
export declare class ASN1UndefinedError extends ASN1Error {
    readonly m: string;
    readonly element?: ASN1Element | undefined;
    constructor(m: string, element?: ASN1Element | undefined);
}
export declare class ASN1CharactersError extends ASN1Error {
    readonly m: string;
    readonly element?: ASN1Element | undefined;
    constructor(m: string, element?: ASN1Element | undefined);
}
export declare class ASN1ConstructionError extends ASN1Error {
    readonly m: string;
    readonly element?: ASN1Element | undefined;
    constructor(m: string, element?: ASN1Element | undefined);
}
//# sourceMappingURL=errors.d.ts.map