"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class EmbeddedPDV {
    constructor(identification, dataValue) {
        this.identification = identification;
        this.dataValue = dataValue;
    }
    toString() {
        return ("EMBEDDED PDV { "
            + `identification ${this.identification.toString()} `
            + `dataValue ${Array.from(this.dataValue).map((byte) => byte.toString(16)).join("")} `
            + "}");
    }
    toJSON() {
        return {
            identification: this.identification.toJSON(),
            dataValue: Array.from(this.dataValue).map((byte) => byte.toString(16)).join(""),
        };
    }
}
exports.default = EmbeddedPDV;
//# sourceMappingURL=EmbeddedPDV.js.map