"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
function convertBytesToText(bytes, codec = "utf-8") {
    if (typeof Buffer !== "undefined") {
        if (bytes instanceof Buffer) {
            return bytes.toString(codec);
        }
        return (Buffer.from(bytes.buffer, bytes.byteOffset, bytes.length)).toString(codec);
    }
    else if (typeof TextEncoder !== "undefined") {
        return (new TextDecoder(codec)).decode(bytes);
    }
    throw new errors_1.ASN1Error("Neither TextDecoder nor Buffer are defined to decode bytes into text.");
}
exports.default = convertBytesToText;
//# sourceMappingURL=convertBytesToText.js.map