"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const errors = tslib_1.__importStar(require("../errors"));
function decodeSignedBigEndianInteger(value) {
    if (value.length === 0) {
        return 0;
    }
    if (value.length > 4) {
        throw new errors.ASN1OverflowError("Number too long to decode.");
    }
    const ret = Buffer.alloc(4, (value[0] >= 0b10000000) ? 0xFF : 0x00);
    ret.set(value, (4 - value.length));
    return ret.readInt32BE();
}
exports.default = decodeSignedBigEndianInteger;
//# sourceMappingURL=decodeSignedBigEndianInteger.js.map