"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const errors = tslib_1.__importStar(require("../errors"));
function decodeUnsignedBigEndianInteger(value) {
    if (value.length === 0) {
        return 0;
    }
    if (value.length > 4) {
        throw new errors.ASN1OverflowError(`Number on ${value.length} bytes is too long to decode.`);
    }
    const ret = Buffer.alloc(4);
    ret.set(value, (4 - value.length));
    return ret.readUInt32BE();
}
exports.default = decodeUnsignedBigEndianInteger;
//# sourceMappingURL=decodeUnsignedBigEndianInteger.js.map